import javax.swing.*;

public class H8Ex2
{
     public static void main (String args[])  
     {
	 complex k1=complex.toComplex("birinci kompleks sayıyı(iki sayı arasında bir boşluk bırakarak) giriniz : ");
	 complex k2=complex.toComplex("ikinci  kompleks sayıyı(iki sayı arasında bir boşluk bırakarak) giriniz  : ");   
	 String ss="ilk sayi      : "+k1.toString()+"\n";
     ss+="ikinci sayi         : "+k2.toString()+"\n";
     ss+="iki sayinin toplami : "+complex.toString(complex.add(k1,k2))+"\n";
     ss+="iki sayının farkı   : "+complex.toString(complex.substract(k1,k2))+"\n";
     ss+="iki sayinin carpimi : "+complex.toString(complex.multiply(k1,k2))+"\n";
     ss+="iki sayinin bolumu  : "+complex.toString(complex.divide(k1,k2))+"\n";
     String s2="kompleks sayı sınıfı alıştırması ";
     JOptionPane.showMessageDialog(null,ss,s2,JOptionPane.PLAIN_MESSAGE);
     } 
}